# Type alias AsObject

AsObject: {
autoSwitch: boolean;
currentConnectionUrl: string;
itemsList: EncryptedConnection.AsObject[];
refreshPeriod: number;
salt: Uint8Array | string;
}

#### Type declaration

- ##### autoSwitch: boolean

- ##### currentConnectionUrl: string

- ##### itemsList: EncryptedConnection.AsObject[]

- ##### refreshPeriod: number

- ##### salt: Uint8Array | string

- Defined in src/protobuf/pb_pb.d.ts:6790

Generated using TypeDoc